<?xml version="1.0"?>
<?xml-stylesheet href="chrome://linkchecker/skin/linkchecker.css" type="text/css"?>
<!DOCTYPE window SYSTEM "chrome://linkchecker/locale/linkchecker.dtd">

<overlay id="linkcheckerOverlay"
         xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">

// This imports our javascript.

<script type="application/x-javascript" src="chrome://linkchecker/content/linkcheckerOverlay.js">
</script>

<stringbundleset id="stringbundleset">
   <stringbundle id="linkchecker-strings" src="chrome://linkchecker/locale/linkchecker.properties"/>
</stringbundleset>


// This is for the Tools menu.
<menupopup id="menu_ToolsPopup">
    <menuitem id="menu_tools_lccheckall" insertafter="devToolsSeparator" label="&tools.checklinks;"
    accesskey="&tools.accesskey;" oncommand="toggleLinkChecker('all');" />
</menupopup>

// Right-click context menu.
<popup id="contentAreaContextMenu">
    <menuseparator insertafter="context-sep-paste"/>
    <menuitem id="menu_lcchecksome"
        label="Check Links in Selected"
        accesskey="&context.accesskey;"
        oncommand="toggleLinkChecker('selected');"
        insertafter="context-sep-paste"
        disabled="true"/>
    <menuitem id="menu_lccheckall"
        label="&context.checklinks;"
        accesskey="&context.accesskey;"
        oncommand="toggleLinkChecker('all');"
        insertafter="context-sep-paste"/>
</popup>

<!-- and this is for the toolbar button :o)-->

<toolbarpalette id="BrowserToolbarPalette">
  <toolbarbutton
    class="toolbarbutton-1"
    id="LinkCheckerButton"
       label= "&linkchecker.label.toolbar;"
    tooltiptext="&linkchecker.tooltip.toolbar;"
    oncommand= "toggleLinkChecker('all');"/>
 </toolbarpalette>
 
// This is for the Status bar
<statusbar id="status-bar">

  <statusbarpanel
    id="linkchecker-statusbar-progresspanel"
    insertbefore="statusbar-progresspanel"
    class="statusbarpanel-progress"
    collapsed="true"
    tooltiptext="LinkChecker"
    ondblclick="stopLinkChecker();">
    
    <box id="linkchecker-statusbar-icon"
        width="16"
        height="16"/>
        
    <label id="linkchecker-statusbar-text"/>
    
    </statusbarpanel>

</statusbar>
// end Status bar

</overlay>

